---
devicePlugin:
  config:
    create: true
    name: "time-slice-config"
    default: "no-time-slice"
    data:
      no-time-slice: ""
      time-slice-2: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 2
      time-slice-3: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 3
      time-slice-4: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 4
      time-slice-5: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 5
      time-slice-6: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 6
      time-slice-7: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 7
      time-slice-8: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 8
      time-slice-9: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 9
      time-slice-10: |-
        version: v1
        flags:
          migStrategy: none
        sharing:
          timeSlicing:
            renameByDefault: true
            failRequestsGreaterThanOne: true
            resources:
            - name: nvidia.com/gpu
              replicas: 10
